/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：用户信息表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.service;

import com.xwd.hospital.server.dto.CtUserInfoDto;
import java.util.List;
import com.xwd.hospital.server.base.BaseService;
import com.xwd.hospital.server.domain.UserInfo;

public interface UserInfoService extends BaseService<UserInfo> {

    List<UserInfo> queryUserInfoList();

    /**
     * 根据用户id获取 用户身份证，出生年月，名字
     * @param userInfoId
     * @return
     */
    CtUserInfoDto cTGetUserInfo(Long userInfoId);
}
